CREATE TABLE Project (ProjectId INTEGER primary key,
            ProjectName VARCHAR(20),
            Owner VARCHAR(45),
            Path VARCHAR(45));
CREATE TABLE Job (jobId INTEGER primary key,
            ProjectId INTEGER,
            Status VARCHAR(45),
            Application VARCHAR(45),
            Taskname VARCHAR(45),
            Title VARCHAR(45),
            LastModified DATETIME,
            LogFile VARCHAR(45),
            ControlFile VARCHAR(45),
            NotebookFile VARCHAR(45));
CREATE TABLE File (FileId INTEGER primary key,
             Name VARCHAR(45),
             Path VARCHAR(45),
             Format VARCHAR(45),
             LastModified DATETIME,
             Note VARCHAR(45));
CREATE TABLE JobFile ( JobId INTEGER,
             FileId INTEGER,
             Type VARCHAR(10));
CREATE TABLE JobLink (JobId INTEGER,
             NextJobId INTEGER,
             Note      VARCHAR(45),
             Type      VARCHAR(45))